/*
	CSS Syntax

	Selector {
	
		property:  value;

	}


*/



/*asterisk selector is the universal selctor. It is able to selcet all the elements in HTML page*/

/*font-family property allows to determine the font of the text. The value "Courier New" becomes the default font for our elements. monospace is the secondary fonr or the fallback font, which means if the "courier new" is not installed or cannot be found, we will fallback to use a font similar to "Courier New" 

font-size property allows us to change the size of the font. font size can also be measured not only by pixels but also other css measurements,

*/ 

* {
	font-family: "Courier New", monospace;
	/*font-size: 20px;
*/


}

html {
	/*scroll-behavior changes the scrolling when navigating within the page*/

	scroll-behavior: smooth;


}

body {

	/*background color property changes the color of the background of an element*/
	background-color: skyblue;
}

nav {
	background-color: white;
}

a:hover{
/*selector hover pseudo class*/
/*change the style of an element when hovered over*/
	background-color: #b4d6de;
}

nav > div {
	/*display:  inlin-block allowed to change the display of the div element from the block, which means this div is now inline with its siblings however still act like a block element
	float: right we were able to change the horizontal alignment of our element and put it to the right of our conatiner

	*/
	display: inline-block;
	float: right;
}




/*type/tag selector - allows us to select elements of the type or tag*/
h1{
	/*ctrl + shift + /*/
	/*!important will make the property a priority*/

	color: black !important;
	text-align: center;
	/*font-size: 2rem;*/

	/*rem - root element, rem is measurement based on the font size of the root element. Default font size 16px. The root element is the html tag*/


}
/*id-selector allows us to select the element with a partivular id. This selection is the highest priority*/

/*In CSS, you can select the id by adding # before the name of the id*/

section{
	/*increased the height of our sections to 100% viewport height. Viewport height is the height of the page with the screen we are viewing from*/
	/*
	text align allows us to horizontally align our text within the element

	*/
	height: 100vh;
	text-align: center;

}

h2{

	font-size: 1.5rem;
}

ol {

	list-style-type: none;
}

#zuitt-motto {
	letter-spacing: 5px;

}
/*class selector allows to select element/elements witht the same class. In CSS we can select the class by adding . before the name of the class*/

/*an element can have both an id and a class, however declartions for the id is given more priority over class.*/
.offering-item{
	/*text transform allows to determine the case of an element*/
	text-transform: uppercase;
	/*letter-spacing: 20px;*/
}
/*attribute selector allows to select elemnts with the same tag and attribute
	
	tag[attribute]

*/

input[required]{

	/*border-width property allows us to change the thickness of element's border
		border-style property allows us to change the style of element's border
			border-color property allows us to change the color of element's border

	*/

	border-width: 2px;
	border-style: solid;
	border-color: navy;
	width: 90%;

}
/*adjacent sibling selector. This allows us to select the sibling element directly after the first selector*/

/*first selector + adjacent

The selectors doesnt have to be type it could be class, id, etc
 */




h3 + img {

	/*height and width properties allows us to detemine the height and width of an element. Unlike the height and width attributes in our HTML, in CSS, we can add more measurements instead of just pixels

	border-radius allows us to round the corners of an element


	*/

	height:  300px;
	width: 300;
	border-radius: 150px;
}
/*

descendant selector- allows us to select ele 



*/
#bootcamp-learning-list li{
/*#075966 as a value to color:  This is a hex value. This is a hexadecimal value and it consits of the pound sign # plus 6 alphanumeric charcters. Hex Value colors are more specific than HTML colors*/
	color:  #075966;
}
/*general sibling selector - this will allow us to select siblings after  our first selector*/



h2 ~ a {
/*text-decoration property change lines included in text (ex. overline, underline or strikethrough. By default anchor tags have underline(*/
	text-decoration: none;
}
/*Child Selector

Allows to select the child of an element

selector (parent) > selector (child)

*/
body > section > form > label {
/*rgb() can be accepted as a value of properties that change colors, RGB values refer to red, gree, and blue and the combination of these values from 0 to 255 determines the color. */
	color: rgb(0,0,128);
}

form{
	text-align: center;
	background-color: white;
	/*border <width> <style> <color>*/
	border: 2px solid black;
	height: 185px;
	width:  25vw;
	/*viewport width is a measurement based on a precentage of the width of the screen we are viewing our page from*/

	/*position property changes the */

	position: relative;
	left: 37.5%;
}
button{
	color: white;
	background-color: #cf0053;
	border: 0;
	border-radius: 15px;

}